Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Transport_Timer.h File Reference

`#include "ace/Event_Handler.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`

Include dependency graph for Transport_Timer.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Transport_Timer
| Allows TAO_Transport instances to receive timeout notifications from the Reactor. In other words, implements the Adapter Role, of the Adapter Pattern, where the Adaptee is a TAO_Transport and the client is the Reactor. More...

## Detailed Description

Id
  Transport_Timer.h,v 1.6 2005/11/02 11:03:27 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>